Vue UI Components Documentation
Vue ButtonGroup Component
The ButtonGroup component for Vue represents a set of buttons that can work as normal buttons, radio buttons or checkboxes.
Prerequisites
Refer to Vue Getting Started before you start with this help topic.
Configuration
After you have created your App.vue file, here is how you should structure it:
The ButtonGroup component for Vue requires the following import:
Add the jqxButtonGroup component to the components section of the the Vue class:
Template
The App.vue has a <template>
structural tag where we determine the application structure.
There we will also set the tags for the new components - <JqxButtonGroup/>
<template> <JqxButtonGroup :mode="mode"> <button style="padding: 4px 16px" id='Left' value='Left'></button> <button style="padding: 4px 16px" id='Center' value='Center'></button> <button style="padding: 4px 16px" id='Right' value='Right'></button> </JqxButtonGroup></template>
Properties
The properties of the <JqxButtonGroup/> component are defined in the data
member of the Vue class.
We should put them in the return object of the data function:
data: function () { return { mode: 'default' }}
Events
The events in Vue are set as an attribute with @ prefix, for example:
<JqxButtonGroup @buttonClick="groupOnBtnClick($event)"> <button style="padding: 4px 16px" id='Left' value='Left'></button> <button style="padding: 4px 16px" id='Center' value='Center'></button> <button style="padding: 4px 16px" id='Right' value='Right'></button></JqxButtonGroup>
All events that are bound to a component are implemented in the methods
member of the Vue class.
methods: { groupOnBtnClick: function (event) { // Do something... }}
Methods
To use a component's method we should have its reference. In Vue we refer to a component by the special $refs
property.
Before that we need to add the desired name reference to that component:
<JqxButtonGroup ref="buttongroup"></JqxButtonGroup>
Here how you can use a component's method:
this.$refs.buttongroup.disable();
methods: { // Add here all used callbacks and/or events groupOnBtnClick: function (event) { // Do something when clicking on a button this.$refs.buttongroup.disable(); }}
If we want to add additional methods we should also implement them in the methods
member.
In case we need to do some precalculation or something else before the components are rendered, we should use the beforeCreate
member.
It depends on the case.
If you have followed the above steps, you App.vue file would look like this:
App.vue:
ButtonGroup Examples
<template> <div> <JqxButtonGroup ref="myButtonGroup" @buttonclick="groupOnBtnClick($event)"> <button style="padding: 4px 16px" id='Left' value='Left'></button> <button style="padding: 4px 16px" id='Center' value='Center'></button> <button style="padding: 4px 16px" id='Right' value='Right'></button> </JqxButtonGroup> <div style="margin-top: 10px"> <h4>Modes</h4> <JqxRadioButton @checked="myDefaultModeButtonChecked()" :checked="true">Default</JqxRadioButton> <JqxRadioButton @checked="myRadioModeButtonChecked()">RadioButtons</JqxRadioButton> <JqxRadioButton @checked="myCheckBoxModeButtonChecked()">CheckBoxes</JqxRadioButton> </div> <div ref="myLog" style="margin-top: 10px;"></div> </div></template> <script> import JqxButtonGroup from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxbuttongroup.vue'; import JqxRadioButton from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxradiobutton.vue'; export default { components: { JqxButtonGroup, JqxRadioButton }, methods: { myDefaultModeButtonChecked: function () { this.$refs.myButtonGroup.mode = 'default'; }, myRadioModeButtonChecked: function () { this.$refs.myButtonGroup.mode = 'radio'; }, myCheckBoxModeButtonChecked: function () { this.$refs.myButtonGroup.mode = 'checkbox'; }, groupOnBtnClick: function (event) { let clickedButton = event.args.button; this.$refs.myLog.innerHTML = `Clicked: ${clickedButton[0].id}`; } } }</script> <style></style>

React UI Components Documentation

ReactJS ButtonGroup Component

The ButtonGroup component for ReactJS represents a set of buttons that can work as normal buttons, radio buttons or checkboxes.

Prerequisites

Refer to ReactJS Getting Started before you start with this help topic.

Configuration

The ButtonGroup component for ReactJS requires the following imports.

 
import React from 'react';
import ReactDOM from 'react-dom';
import JqxButtonGroup from 'jqwidgets-react/react_jqxbuttongroup.js';

Then we create our component class. Properties and methods are put as ReactJS props.

 
class App extends React.Component {
render () {
return (
<JqxButtonGroup>
<button value='Left' />
<button value='Center' />
<button value='Right' />
</JqxButtonGroup>
)
}
}

Finally we render our class in the desired HTML element:

 
ReactDOM.render(<App />, document.getElementById('app'));

Events Methods & Properties

In order to bind to any event, change any property or call any method, we need a reference to the component.
For that we use the ReactJS "ref" Callback Attribute:

 
<JqxButtonGroup ref='myButtonGroup' width={100} height={30}..... />

Now, when we have a reference, we need to call the desired event/property/method.
This is done in the componentDidMount() ReactJS Component Lifecycle method.

 
class App extends React.Component {
componentDidMount()
{
//your logic
}
render ()
{
return
(
....
)
}
};

Events

The buttonClick event is triggered when a button is clicked.

The following example demonstrates how to add an event listener:

Methods & Properties

This is how you call methods & props:

 
//Get Methods
let selection = this.refs.myButtonGroup.getSelection();
//Set Methods
this.refs.myButtonGroup.setSelection(0);
//Get Properties
let disabled = this.refs.myButtonGroup.disabled();
//Set Properties
this.refs.myButtonGroup.disabled(false);

Every component have a method setOptions which accepts a object as an argument. This object contains component settings.

 
this.refs.myButtonGroup.setOptions({
disabled: false, mode: 'radio'
})

Every component also have a method getOptions which returns a object containing the component settings.

 
let options = this.refs.myButtonGroup.getOptions();

ButtonGroup Examples

Overview

The following example demonstrates how to create a ButtonGroup component, which can change it's mode.

ButtonGroup API

API Reference of the jQWidgets ButtonGroup component for React: ButtonGroup API

The ButtonGroup component for Angular represents a set of buttons that can work as normal buttons, radio buttons or checkboxes.
npm install -g @angular/cli ng new jqwidgets-project cd jqwidgets-project
ng add jqwidgets-ng
jQWidgets UI for Angular is distributed as jqwidgets-ng NPM package
npm install jqwidgets-ng
@import 'jqwidgets-ng/jqwidgets/styles/jqx.base.css';
"styles": [ "node_modules/jqwidgets-ng/jqwidgets/styles/jqx.base.css" ]
<jqxButtonGroup [theme]="'fluent'" #myButtonGroup (onButtonclick)="groupOnBtnClick($event)">
<button style="padding: 4px 16px" id='Left' value='Left'></button>
<button style="padding: 4px 16px" id='Center' value='Center'></button>
<button style="padding: 4px 16px" id='Right' value='Right'></button>
</jqxButtonGroup>
<div style="margin-top: 10px">
<h4>Modes</h4>
<jqxRadioButton [theme]="'fluent'" (onChecked)="myDefaultModeButtonChecked()" [checked]="true">Default</jqxRadioButton>
<jqxRadioButton [theme]="'fluent'" (onChecked)="myRadioModeButtonChecked()">RadioButtons</jqxRadioButton>
<jqxRadioButton [theme]="'fluent'" (onChecked)="myCheckBoxModeButtonChecked()">CheckBoxes</jqxRadioButton>
</div>
<div #myLog style="margin-top: 10px;"></div>
import { Component, ViewChild, ElementRef } from '@angular/core';
import { jqxButtonGroupModule, jqxButtonGroupComponent } from 'jqwidgets-ng/jqxbuttongroup';
import { jqxRadioButtonComponent, jqxRadioButtonModule } from 'jqwidgets-ng/jqxradiobutton';
@Component({
selector: 'app-root',
imports: [jqxButtonGroupModule, jqxRadioButtonModule],
standalone: true,
templateUrl: './app.component.html'
})
export class AppComponent {
@ViewChild('myButtonGroup') myButtonGroup: jqxButtonGroupComponent;
@ViewChild('myLog') myLog: ElementRef;
myDefaultModeButtonChecked(): void {
this.myButtonGroup.mode('default');
};
myRadioModeButtonChecked(): void {
this.myButtonGroup.mode('radio');
};
myCheckBoxModeButtonChecked(): void {
this.myButtonGroup.mode('checkbox');
};
groupOnBtnClick(event: any): void {
let clickedButton = event.args.button;
this.myLog.nativeElement.innerHTML = `Clicked: ${clickedButton[0].id}`;
}
}